SimpleRichSequenceBuilderFactory (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.SimpleRichSequenceBuilderFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Class SimpleRichSequenceBuilderFactory

    java.lang.Object
      org.biojavax.bio.seq.io.SimpleRichSequenceBuilderFactory

All Implemented Interfaces:
  SequenceBuilderFactory, RichSequenceBuilderFactory

    public class SimpleRichSequenceBuilderFactory

extends Object
implements RichSequenceBuilderFactory

Generates RichSequenceBuilder objects.

Since:
  1.5
Author:
  Mark Schreiber, Richard Holland
See Also:
  `RichSequenceBuilder`

Field Summary

Fields inherited from interface org.biojavax.bio.seq.io.RichSequenceBuilderFactory
`FACTORY, PACKED, THRESHOLD, THRESHOLD_VALUE`

Constructor Summary
`SimpleRichSequenceBuilderFactory()` Creates a new instance of SimpleRichSequenceBuilderFactory
`SimpleRichSequenceBuilderFactory(SymbolListFactory fact)` Creates a new instance of SimpleRichSequenceBuilderFactory
`SimpleRichSequenceBuilderFactory(SymbolListFactory fact, int threshold)` Creates a new instance of SimpleRichSequenceBuilderFactory that uses a specified factory for `SymbolLists` longer than a specified length.

Method Summary
`SequenceBuilder` | `makeSequenceBuilder()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleRichSequenceBuilderFactory

    public SimpleRichSequenceBuilderFactory()

  Creates a new instance of SimpleRichSequenceBuilderFactory

### SimpleRichSequenceBuilderFactory

    public SimpleRichSequenceBuilderFactory(SymbolListFactory fact)

  Creates a new instance of SimpleRichSequenceBuilderFactory

  Parameters:
    `fact` - the factory to use when building the `SymbolList`.

### SimpleRichSequenceBuilderFactory

    public SimpleRichSequenceBuilderFactory(SymbolListFactory fact,
                                            int threshold)

  Creates a new instance of SimpleRichSequenceBuilderFactory that uses a specified factory for `SymbolLists` longer than a specified length. Before that a `SimpleSymbolListFacotry` is used.

  Parameters:
    `fact` - the factory to use when building the `SymbolList`.
    `threshold` - the threshold to exceed before using this factory

Method Detail

### makeSequenceBuilder

    public SequenceBuilder makeSequenceBuilder()

  Specified by:
    `makeSequenceBuilder` in interface `SequenceBuilderFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD